{"openapi":"3.1.0","info":{"title":"SummerBar TakeAway API","description":"Backend API fo iOS SummerBar client","contact":{"name":"Support","email":"dev@jouwbedrijf.be"},"version":"v1.0.0-beta"},"servers":[{"url":"http://takeaway.barspeed.eu","description":"Generated server url"}],"paths":{"/api/shift/shift/end":{"put":{"tags":["shift-controller"],"operationId":"endShift","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShiftDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/transit/{orderId}":{"put":{"tags":["shift-controller"],"operationId":"transitOrder","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/start/{orderId}":{"put":{"tags":["shift-controller"],"operationId":"startOrder","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/rollbackTransit/{orderId}":{"put":{"tags":["shift-controller"],"operationId":"rollbackTransitOrder","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/ready/{orderId}":{"put":{"tags":["shift-controller"],"operationId":"readyOrder","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/pickup/{orderId}":{"put":{"tags":["shift-controller"],"operationId":"pickupOrder","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/cancel/{orderId}":{"put":{"tags":["shift-controller"],"operationId":"cancelOrder","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/location/pause":{"put":{"tags":["shift-controller"],"operationId":"toggleLocationPaused","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Location"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/location/pauseShort":{"put":{"tags":["shift-controller"],"operationId":"toggleLocationPausedShort","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Location"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/item/soldOut/{itemId}":{"put":{"tags":["shift-controller"],"operationId":"toggleItemSoldOut","parameters":[{"name":"itemId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/crud/{identifier}":{"get":{"tags":["crud-controller"],"operationId":"list","parameters":[{"name":"identifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"collectionPathParams","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"put":{"tags":["crud-controller"],"operationId":"update","parameters":[{"name":"identifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"collectionPathParams","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}},"post":{"tags":["crud-controller"],"operationId":"create","parameters":[{"name":"identifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"collectionPathParams","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/auth/setPassword":{"post":{"tags":["Authentication"],"operationId":"setPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordSetup"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/auth/reversePairDevice":{"post":{"tags":["Authentication"],"operationId":"reversePairDevice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReversePairingUUIDCode"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PairingResponse"}}}}}}},"/auth/pairDevice":{"post":{"tags":["Authentication"],"operationId":"pairDevice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceName"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PairingResponse"}}}}},"security":[{"bearerAuth":[]}]}},"/auth/authorizeReversePairing":{"post":{"tags":["Authentication"],"operationId":"authoriseReversePair","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReversePairingDeviceNameAndLocation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PairingResponse"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/shift/start":{"post":{"tags":["shift-controller"],"operationId":"startShift","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShiftName"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShiftDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/place":{"post":{"tags":["shift-controller"],"operationId":"placeOrder","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlaceOrder"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/auth/sendInvite":{"get":{"tags":["Authentication"],"operationId":"sendInvite","parameters":[{"name":"forUserId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/auth/login":{"get":{"tags":["Authentication"],"operationId":"login","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}},"security":[{"basicAuth":[]}]}},"/auth/getReversePairingToken":{"get":{"tags":["Authentication"],"operationId":"getReversePairingToken","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReversePairingResponse"}}}}}}},"/auth/getPairingToken":{"get":{"tags":["Authentication"],"operationId":"getPairingToken","parameters":[{"name":"forLocationId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PairingResponse"}}}}},"security":[{"bearerAuth":[]}]}},"/auth/getPairingTokenBootstrap":{"get":{"tags":["Authentication"],"operationId":"getPairingToken_1","parameters":[{"name":"forCompanyId","in":"query","required":true,"schema":{"type":"string"}},{"name":"forLocationId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PairingResponse"}}}}},"security":[{"basicAuth":[]}]}},"/auth/followInvite":{"get":{"tags":["Authentication"],"operationId":"followInvite","parameters":[{"name":"inviteToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/html":{"schema":{"type":"string"}}}}}}},"/api/shift/sse/subscribe":{"get":{"tags":["sse-controller"],"operationId":"subscribeToEvents","responses":{"200":{"description":"OK","content":{"text/event-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServerSentEventString"}}}}}}}},"/api/shift/shift/report/{shiftId}":{"get":{"tags":["shift-controller"],"operationId":"getSalesReport","parameters":[{"name":"shiftId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SalesReport"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/shift/list":{"get":{"tags":["shift-controller"],"operationId":"getShiftList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ShiftDTO"}}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/shift/current":{"get":{"tags":["shift-controller"],"operationId":"shiftStarted","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShiftDTO"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/small/list":{"get":{"tags":["shift-controller"],"operationId":"getOrdersForStatusDisplay","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SmallOrderDTO"}}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/print/{orderId}/{count}":{"get":{"tags":["shift-controller"],"operationId":"getPrintLabelCommand","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}},{"name":"count","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrintLabel"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/order/list":{"get":{"tags":["shift-controller"],"operationId":"getOrdersForDevice","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderDTO"}}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/location/list":{"get":{"tags":["shift-controller"],"operationId":"getLocationList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Location"}}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/location":{"get":{"tags":["shift-controller"],"operationId":"getMyLocation","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Location"}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/item/list":{"get":{"tags":["shift-controller"],"operationId":"getItemList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ItemDTO"}}}}}},"security":[{"bearerAuth":[]}]}},"/api/shift/device":{"get":{"tags":["shift-controller"],"operationId":"getMyDevice","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Device"}}}}},"security":[{"bearerAuth":[]}]}},"/api/crud/{identifier}/{id}":{"get":{"tags":["crud-controller"],"operationId":"get","parameters":[{"name":"identifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"collectionPathParams","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}},"delete":{"tags":["crud-controller"],"operationId":"delete","parameters":[{"name":"identifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"collectionPathParams","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK"}}}},"/api/crud/configuration":{"get":{"tags":["crud-controller"],"operationId":"getConfiguration","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}},"security":[{"bearerAuth":[]}]}}},"components":{"schemas":{"ShiftDTO":{"type":"object","properties":{"id":{"type":"string"},"shiftName":{"type":"string"},"startTime":{"$ref":"#/components/schemas/Timestamp"},"endTime":{"$ref":"#/components/schemas/Timestamp"}}},"Timestamp":{"type":"object","properties":{"seconds":{"type":"integer","format":"int64"},"nanos":{"type":"integer","format":"int32"}}},"OrderDTO":{"type":"object","properties":{"id":{"type":"string"},"orderNumber":{"type":"string"},"orderTimestamp":{"$ref":"#/components/schemas/Timestamp"},"paymentMethod":{"type":"string","enum":["CASH","CARD","OTHER"]},"paidAmount":{"type":"number","format":"double"},"byDeviceId":{"type":"string"},"orderLines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLineDTO"}},"locationName":{"type":"string"},"deviceName":{"type":"string"}}},"OrderLineDTO":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"quantity":{"type":"integer","format":"int32"},"price":{"type":"number","format":"double"},"deposit":{"type":"number","format":"double"},"category":{"type":"string"},"lineStatus":{"type":"string","enum":["NEW","CANCELED","IN_PROGRESS","IN_TRANSIT","READY","PROCESSED"]},"prepLocationId":{"type":"string"},"orderSubLines":{"type":"array","items":{"$ref":"#/components/schemas/OrderSubLineDTO"}}}},"OrderSubLineDTO":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"price":{"type":"number","format":"double"},"subListName":{"type":"string"}}},"Location":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"autoDeposit":{"type":"boolean"},"locationType":{"type":"string","enum":["Afleverlocatie","Bereidingslocatie","Statusscherm"]},"paused":{"type":"boolean"},"pausedShort":{"type":"boolean"},"logoImageBlob":{"type":"string"},"logoTargetMaxWidthMM":{"type":"integer","format":"int32"},"logoTargetMaxHeightMM":{"type":"integer","format":"int32"},"logoInvert":{"type":"boolean"},"logoRotation":{"type":"integer","format":"int32"},"switchRate":{"type":"integer","format":"int32"}}},"ItemDTO":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"price":{"type":"number","format":"double"},"deposit":{"type":"number","format":"double"},"displayOrder":{"type":"integer","format":"int32"},"soldOut":{"type":"boolean"},"paused":{"type":"boolean"},"pausedShort":{"type":"boolean"},"hasPrepLocation":{"type":"boolean"},"color":{"type":"string"},"categoryName":{"type":"string"},"categoryDisplayOrder":{"type":"integer","format":"int32"},"subItemLists":{"type":"array","items":{"$ref":"#/components/schemas/SubItemListDTO"}}}},"SubItemDTO":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"displayOrder":{"type":"integer","format":"int32"},"price":{"type":"number","format":"double"},"soldOut":{"type":"boolean"}}},"SubItemListDTO":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"displayOrder":{"type":"integer","format":"int32"},"allowMultiSelect":{"type":"boolean"},"maxSelectAllowed":{"type":"integer","format":"int32"},"required":{"type":"boolean"},"subItems":{"type":"array","items":{"$ref":"#/components/schemas/SubItemDTO"}}}},"PasswordSetup":{"type":"object","properties":{"inviteToken":{"type":"string"},"password":{"type":"string"}}},"ReversePairingUUIDCode":{"type":"object","properties":{"uuid":{"type":"string"},"uid":{"type":"string"}}},"PairingResponse":{"type":"object","properties":{"token":{"type":"string"}}},"DeviceName":{"type":"object","properties":{"name":{"type":"string"},"uid":{"type":"string"}}},"ReversePairingDeviceNameAndLocation":{"type":"object","properties":{"userCode":{"type":"string"},"locationId":{"type":"string"},"deviceName":{"type":"string"}}},"ShiftName":{"type":"object","properties":{"name":{"type":"string"}}},"PlaceOrder":{"type":"object","properties":{"orderNumber":{"type":"string"},"paymentMethod":{"type":"string","enum":["CASH","CARD","OTHER"]},"paidAmount":{"type":"number","format":"double"},"orderLines":{"type":"array","items":{"$ref":"#/components/schemas/PlaceOrderLine"}}}},"PlaceOrderLine":{"type":"object","properties":{"itemId":{"type":"string"},"quantity":{"type":"integer","format":"int32"},"orderSubLines":{"type":"array","items":{"$ref":"#/components/schemas/PlaceOrderSubLine"}}}},"PlaceOrderSubLine":{"type":"object","properties":{"subItemId":{"type":"string"}}},"ReversePairingResponse":{"type":"object","properties":{"userCode":{"type":"string"},"uuid":{"type":"string"}}},"ServerSentEventString":{"type":"object"},"Sale":{"type":"object","properties":{"locationName":{"type":"string"},"categoryName":{"type":"string"},"name":{"type":"string"},"unitPrice":{"type":"number","format":"double"},"unitDeposit":{"type":"number","format":"double"},"quantity":{"type":"integer","format":"int32"},"price":{"type":"number","format":"double"},"deposit":{"type":"number","format":"double"}}},"SalesReport":{"type":"object","properties":{"shiftName":{"type":"string"},"startTime":{"$ref":"#/components/schemas/Timestamp"},"endTime":{"$ref":"#/components/schemas/Timestamp"},"sales":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/Sale"}}}}}},"SmallOrderDTO":{"type":"object","properties":{"id":{"type":"string"},"orderNumber":{"type":"string"},"orderTimestamp":{"$ref":"#/components/schemas/Timestamp"},"status":{"type":"string"}}},"PrintLabel":{"type":"object","properties":{"code":{"type":"string"},"ip":{"type":"string"},"port":{"type":"integer","format":"int32"}}},"Device":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"deviceUniqueId":{"type":"string"},"adminDevice":{"type":"boolean"},"recruit":{"type":"boolean"},"locationId":{"type":"string"}}}},"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"basicAuth":{"type":"http","scheme":"basic"}}}}